## python2.4-flup 1.0-0noris9

=== Makefile ===
build:

install:
	cp -r usr ${DESTDIR}/

clean:
	rm -f *-stamp

## python2.4-flup 1.0-0noris4

=== debian/changelog ===
python2.4-flup (42:1.0-0noris4) stable; urgency=low

  * Updated from mercurial repository at http://hg.saddi.com/flup-server
    at release 1.0 as of 2007-09-10 (as of changelog).
  * Added patch fcgi-roles: Make server.fcgi_form.WSGIServer()
    understand a `roles` parameter.
  * Dependencies modified for debian etch

 -- Michael Radziej <mir@noris.de>  Mon, 17 Mar 2008 13:50:32 +0100

python2.4-flup (0.5r2016-5noris0) stable; urgency=low

  * Releasing as stable

 -- Michael Radziej <mir@noris.de>  Mon, 24 Jul 2006 19:27:30 +0200

python2.4-flup (0.5r2016-4noris0) unstable; urgency=low

  * Initial Release from http://svn.saddi.com/flup/trunk

 -- Michael Radziej <mir@noris.de>  Tue, 18 Jul 2006 23:43:21 +0200

=== debian/control ===
Source: python2.4-flup
Priority: optional
Maintainer: Michael Radziej <mir@noris.de>
Build-Depends: debhelper (>> 3.0.0), python-setuptools (>> 0.5), python-dev, python2.4 (>> 2.4), python 
Standards-Version: 3.5.8
Section: python

Package: python2.4-flup
Section: python
Architecture: all
Depends: python2.4
Architecture: all
Description: Random assortment of WSGI servers, middleware,
 Recommended tool to use Django with FCGI

=== debian/rules ===
#!/usr/bin/make -f
PYVERS=2.4
PYMODULE=flup

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

python=python$(PYVERS)
pythonbin=/usr/bin/$(python)
package=$(python)-$(PYMODULE)
instroot=debian/$(package)

build: build-stamp
	$(pythonbin) setup.py build
build-stamp:
	dh_testdir
	touch build-stamp

configure:
	# Do nothing

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-rm -rf build

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	$(pythonbin) setup.py install --no-compile --root=$(instroot) --single-version-externally-managed

# Build architecture-independent files here.
binary-indep: install
	dh_testdir
	dh_testroot

	dh_installdocs
	dh_installchangelogs
	dh_compress -X.py
	dh_fixperms
	dh_python -V 2.4
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# We have nothing to do by default.

binary: binary-indep
.PHONY: build clean binary-indep binary install

## python2.4-flup 1.0-0noris5

=== debian/changelog ===
python2.4-flup (42:1.0-0noris5) lenny; urgency=low

  * Initial release. (Closes: #11866624)

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 07 Dec 2011 14:22:40 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	# $(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-# $(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into
	# debian/python2.4-flup
	# cp -r usr/lib/python2.4/site-packagesusr/lib/ debian/python2.4-flup/usr/share/python2.4-flup

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## python2.4-flup 1.0-0noris9

=== debian/changelog ===
python2.4-flup (42:1.0-0noris9) lenny; urgency=low

  * build with Makefile 

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 07 Dec 2011 16:44:55 +0100

python2.4-flup (42:1.0-0noris8) lenny; urgency=low

  * extended files file 

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 07 Dec 2011 16:38:59 +0100

python2.4-flup (42:1.0-0noris7) lenny; urgency=low

  * next try 

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 07 Dec 2011 16:26:04 +0100

python2.4-flup (42:1.0-0noris6) lenny; urgency=low

  * changed rules file 

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 07 Dec 2011 14:37:45 +0100

=== debian/rules ===
--- 
+++ 
@@ -57,6 +57,7 @@
 	# Add here commands to install the package into
 	# debian/python2.4-flup
 	# cp -r usr/lib/python2.4/site-packagesusr/lib/ debian/python2.4-flup/usr/share/python2.4-flup
+	cp -r usr/lib/python2.4/site-packages/flup debian/python2.4-flup/usr/lib/python2.4/site-packages
 
 # Build architecture-independent files here.
 binary-indep: build install

## python2.4-flup 1.0-0noris11

=== debian/changelog ===
python2.4-flup (42:1.0-0noris11) lenny; urgency=low

  * completely new from source 

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 07 Dec 2011 17:54:51 +0100

python2.4-flup (42:1.0-0noris10) lenny; urgency=low

  * On verra...

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 07 Dec 2011 17:13:24 +0100

=== debian/control ===
Source: python2.4-flup
Section: python
Priority: optional
Maintainer: Michael Radziej <mir@noris.de>

Package: python2.4-flup
Architecture: all
Depends: python2.4
Description: Random assortment of WSGI servers, middleware,
 Recommended tool to use Django with FCGI

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
#export DH_COMPAT=4

#LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/lib:/usr/lib:usr/lib

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/python2.4-flup
	$(MAKE) install DESTDIR=$(CURDIR)/debian/python2.4-flup


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
